CraftBukkit 1.1-R4 is now available!

Discussion in 'Bukkit News' started by EvilSeph, Feb 13, 2012.

Thread Status:
Not open for further replies.
  1. Offline

    EvilSeph Retired Staff

    A new CraftBukkit Recommended Build (1.1-R4) that fixes bugs present in either Minecraft 1.1 or our previous Recommended Build is now available.

    Will plugins break with this build?
    Provided the developers of the plugins you are using are keeping up with the development of Bukkit, all your plugins should work fine.

    Upgrading to this new Recommended Build is highly recommended as it contains numerous (critical) exploit, crash and bug fixes.

    For more detailed information on what is contained in this update, please see the Recommended Build announcement thread here:

    Download the latest CraftBukkit RB here
    dark_hunter, Juze, andrewkm and 8 others like this.
  2. Offline


    Great job! The download works faster and smother than ever!
  3. Offline


    Awesome sauce
  4. Offline


    How do i upgrade my server from R3 to R4? sorry if im a noob for asking :(
  5. Offline

    TnT Retired Staff

    Replace the .jar file and make sure you rename the file being called in your start script/line.

    Further support requests will be deleted. Use the bukkit help forums for assistance.
  6. Offline


    Very awesome! :D Appreciate your work.
  7. R4 o.o
    Not many times I've seen bukkit have that many recommended builds per Minecraft version.
    Great work then!

    EDIT: btw, I don't seem to find any displaying recommended build on
  8. Offline


    One also deprecated:


    Would be nice to be reminded or have examples as to what replaced this. Can't find commit to describe it.
  9. Offline


    nice one
  10. Offline


    This is Awesome!
  11. EntityBlockChange or there abouts.
  12. Offline


    1 hour after my pull request <.<
    Thanks for breaking my plugin :/

    Edit: Don't be to serious with my comment. I really like all your great work. Bukkit is great. I'm just annoyed by the really bad timing. If i had used R4 snapshot a few days before... *grrr*
    ZachBora likes this.
  13. Offline


    fastest update of bukkit? lol great job!
  14. Offline


    Thanks for the release! Just one question! (sorry I am a noob :p)
    What do I type on notepad to start the server?
    Because the wiki is not updated it still tells you to type
    SET BINDIR=%~dp0
    CD /D "%BINDIR%"
    "%ProgramFiles%\Java\jre6\bin\java.exe" -Xmx1024M -Xms1024M -jar craftbukkit-1.1-R3.jar
  15. I deprecated them in favor of EntityChangeBlockEvent. You should be able to almost copy-paste the code without any problem
  16. 4 recommended builds for 1.1? WOW i guess the word recommended was thrown out the window after 1.1 release LOL. Wonder what 1.2 will bring with bukkit :).
  17. Offline


    Hello since I updated to 1.1.4 I keep getting this all the time.

    [SEVERE] Block at xcoord,ycoord,zcoord is FURNACE but has null. Bukkit will attempt to fix this, but there may be additional damage that we cannot recover.

    Had 1.1.4 up for maybe 30 mins and have had this error from 12 different furnaces across the map I teleport to them and they all seem to be fine... Nothing different just coal inside with either ore or cobblestone.

    Also now getting

    [SEVERE] Exception in thread "playername"
    [SEVERE] java.lang.NullPointerException

    No clue haven't seen these problems before so hopefully get some help thanks!
  18. Offline


    1.8 got to R5, look here.
  19. Now I can "officially" integrate the vanish API into my plugins!
  20. Already noticing a few of the fixes. Great job, as always!
  21. Offline


    This is a video on what to do. Take all that code and do this:
    SET BINDIR=%~dp0
    CD /D "%BINDIR%"
    "%ProgramFiles%\Java\jre6\bin\java.exe" -Xmx1024M -Xms1024M -jar craftbukkit-1.1-R4.jar
    For each new build you download, make a new Run.bat file. Just replace the "R3" to "R4". And for a full update just take the .jar file name and put it between the "-jar" and "PAUSE".
  22. Offline


    The second I saw VanishAPI, my brain got rushed with hundreds of new possibilities that everyone like me now has access to. I love you Bukkit!
  23. Offline


    Hm, there is a problem somewhere:

    2012-02-13 23:04:38 [SEVERE] Block at 1336,62,53 is FURNACE but has null. Bukkit will attempt to fix this, but there may be additional damage that we cannot recover.
    2012-02-13 23:04:38 [SEVERE] java.lang.NullPoint
    2012-02-13 23:04:38 [INFO] Stopping server
    and the server is going down.
  24. Offline


    Wow. I've had a bunch of those but never with a shutdown. It happens when the furnace completes its run. It also happens with new furnaces. Just started for me when I installed R4
  25. Offline


    It startet with R4. I installed it and after 2 minutes the server shuts down.

    My plugin list:

    Code (Text):
    1. ChatManager.jar                    Modifyworld.jar
    2. ChestShop.jar                      MultiInv.jar
    3. Citizens.jar                        Multiverse-Core.jar
    4. CleanroomGenerator.jar              Multiverse-NetherPortals.jar
    5. EssentialsChat.jar                  Multiverse-Portals.jar
    6. EssentialsGeoIP.jar                Multiverse-SignPortals.jar
    7. EssentialsGroupBridge.jar          NullTerrain.jar
    8. EssentialsGroupManager.jar          PermissionsEx.jar
    9. Essentials.jar                      Permissions.jar
    10. EssentialsProtect.jar              RepairShop.jar
    11. EssentialsSpawn.jar                Safe Creeper.jar
    12. EssentialsXMPP.jar                  SimpleCarts.jar
    13. GameModeChanger-3.3.0-SNAPSHOT.jar  SkylandsPlus.jar
    14. iConomy.jar                        Vault.jar
    15. JSONAPI.jar                        WorldEdit.jar
    16. MapMarkers.jar                      WorldGuard.jar
  26. Offline


    All of the RB's are now under this:
    Jenkins does not seem to be publicly used anymore.
  27. Alright then. thanks.
  28. Offline

    EvilSeph Retired Staff

    This message is largely harmless but if it is occurring too often, consider updating to a development build after the RB (b1940 and newer).
Thread Status:
Not open for further replies.

Share This Page